List metrics for a attempt
GET
/v1/training-jobs/{trainingJobId}/attempts/{attemptId}/metricscurl -X GET 'https://api.embodiflow.io/v1/training-jobs/{trainingJobId}/attempts/{attemptId}/metrics' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- trainingJobIdstring必填
- attemptIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
- fromStepnumber
- toStepnumber
- stridenumber
Keep rows where `step % stride === 0`. The last point in range is always included. Minimum 1.
- limitnumber
响应
Success
- dataarray<TrainingMetricPointDto>必填
- idstring必填
- trainingAttemptIdstring必填
- stepnumber必填
- epochnumber | null必填
- lossnumber | null必填
- phasestring | null必填
- metricsobject | null必填
- recordedAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"trainingAttemptId": "string",
"step": 0,
"epoch": 0,
"loss": 0,
"phase": "string",
"metrics": {},
"recordedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1